Index: trunk/ui/settingsdialog.ui
===================================================================
--- trunk/ui/settingsdialog.ui	(revision 178)
+++ trunk/ui/settingsdialog.ui	(revision 1)
@@ -1,538 +1,282 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<ui version="4.0">
- <author>Lёppa: $Id$</author>
+<ui version="4.0" >
  <class>SettingsDialog</class>
- <widget class="QDialog" name="SettingsDialog">
-  <property name="windowTitle">
-   <string>Preferences</string>
+ <widget class="QWidget" name="SettingsDialog" >
+  <property name="geometry" >
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>436</width>
+    <height>172</height>
+   </rect>
   </property>
-  <widget class="QWidget" name="bgGrey" native="true">
-   <property name="sizePolicy">
-    <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
-     <horstretch>0</horstretch>
-     <verstretch>0</verstretch>
-    </sizepolicy>
+  <property name="windowTitle" >
+   <string>Параметры</string>
+  </property>
+  <property name="windowIcon" >
+   <iconset resource="../resources/tspsg.qrc" >:/images/Settings.png</iconset>
+  </property>
+  <layout class="QVBoxLayout" >
+   <property name="spacing" >
+    <number>0</number>
    </property>
-   <property name="autoFillBackground">
-    <bool>true</bool>
+   <property name="leftMargin" >
+    <number>0</number>
    </property>
-   <layout class="QVBoxLayout" name="_2">
-    <property name="spacing">
-     <number>0</number>
-    </property>
-    <property name="margin">
-     <number>0</number>
-    </property>
-    <item>
-     <widget class="Line" name="lineHorizontal">
-      <property name="maximumSize">
-       <size>
-        <width>16777215</width>
-        <height>2</height>
-       </size>
-      </property>
-      <property name="frameShadow">
-       <enum>QFrame::Plain</enum>
-      </property>
-      <property name="lineWidth">
-       <number>2</number>
-      </property>
-      <property name="orientation">
-       <enum>Qt::Horizontal</enum>
-      </property>
-     </widget>
-    </item>
-    <item>
-     <layout class="QHBoxLayout" name="buttons">
-      <property name="spacing">
-       <number>6</number>
-      </property>
-      <property name="margin">
-       <number>6</number>
-      </property>
-      <item>
-       <widget class="QToolButton" name="buttonHelp">
-        <property name="enabled">
-         <bool>false</bool>
-        </property>
-        <property name="cursor">
-         <cursorShape>PointingHandCursor</cursorShape>
-        </property>
-        <property name="toolTip">
-         <string>Help</string>
-        </property>
-        <property name="statusTip">
-         <string>Get preferences help</string>
-        </property>
-        <property name="text">
-         <string>Help</string>
-        </property>
-        <property name="autoRaise">
-         <bool>true</bool>
-        </property>
-       </widget>
-      </item>
-      <item>
-       <widget class="QDialogButtonBox" name="buttonBox">
-        <property name="standardButtons">
-         <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
-        </property>
-       </widget>
-      </item>
-     </layout>
-    </item>
-   </layout>
-  </widget>
-  <widget class="QWidget" name="bgWhite" native="true">
-   <property name="autoFillBackground">
-    <bool>true</bool>
+   <property name="topMargin" >
+    <number>0</number>
    </property>
-   <layout class="QHBoxLayout" name="_3">
-    <item>
-     <widget class="QTabWidget" name="tabWidget">
-      <widget class="QWidget" name="tabGeneral">
-       <attribute name="title">
-        <string>General</string>
-       </attribute>
-       <attribute name="toolTip">
-        <string>General TSPSG settings</string>
-       </attribute>
-       <layout class="QVBoxLayout" name="_4">
+   <property name="rightMargin" >
+    <number>0</number>
+   </property>
+   <property name="bottomMargin" >
+    <number>0</number>
+   </property>
+   <item>
+    <layout class="QHBoxLayout" >
+     <property name="spacing" >
+      <number>0</number>
+     </property>
+     <item>
+      <widget class="QLabel" name="imageSide" >
+       <property name="minimumSize" >
+        <size>
+         <width>130</width>
+         <height>0</height>
+        </size>
+       </property>
+       <property name="styleSheet" >
+        <string>background-color: #0080C0</string>
+       </property>
+       <property name="frameShape" >
+        <enum>QFrame::StyledPanel</enum>
+       </property>
+       <property name="lineWidth" >
+        <number>0</number>
+       </property>
+       <property name="text" >
+        <string/>
+       </property>
+       <property name="pixmap" >
+        <pixmap resource="../resources/tspsg.qrc" >:/images/Settings.png</pixmap>
+       </property>
+       <property name="alignment" >
+        <set>Qt::AlignCenter</set>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="Line" name="lineVertical" >
+       <property name="frameShadow" >
+        <enum>QFrame::Plain</enum>
+       </property>
+       <property name="lineWidth" >
+        <number>2</number>
+       </property>
+       <property name="orientation" >
+        <enum>Qt::Vertical</enum>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QWidget" native="1" name="background" >
+       <property name="palette" >
+        <palette>
+         <active>
+          <colorrole role="Base" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+          <colorrole role="Window" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+         </active>
+         <inactive>
+          <colorrole role="Base" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+          <colorrole role="Window" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+         </inactive>
+         <disabled>
+          <colorrole role="Base" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+          <colorrole role="Window" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+         </disabled>
+        </palette>
+       </property>
+       <property name="autoFillBackground" >
+        <bool>true</bool>
+       </property>
+       <layout class="QVBoxLayout" >
         <item>
-         <widget class="QCheckBox" name="cbAutosize">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
+         <layout class="QHBoxLayout" >
+          <property name="spacing" >
+           <number>6</number>
           </property>
-          <property name="statusTip">
-           <string>Automatically resize rows and columns to their contents</string>
-          </property>
-          <property name="text">
-           <string>Autosize of rows and columns</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QCheckBox" name="cbSaveLastUsed">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Remember the last used directory when opening and saving files</string>
-          </property>
-          <property name="text">
-           <string>Remember last used directories</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QCheckBox" name="cbUseNativeDialogs">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Use native File Open and File Save dialogs (uncheck to use Qt's Dialogs)</string>
-          </property>
-          <property name="text">
-           <string>Use native file dialogs</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <spacer name="spacer">
-          <property name="orientation">
-           <enum>Qt::Vertical</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>0</width>
-            <height>0</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-       </layout>
-      </widget>
-      <widget class="QWidget" name="tabTask">
-       <attribute name="title">
-        <string>Task</string>
-       </attribute>
-       <attribute name="toolTip">
-        <string>Task generation and solving settings</string>
-       </attribute>
-       <layout class="QVBoxLayout" name="_9">
-        <item>
-         <layout class="QFormLayout" name="_5">
-          <property name="fieldGrowthPolicy">
-           <enum>QFormLayout::ExpandingFieldsGrow</enum>
-          </property>
-          <item row="0" column="0">
-           <widget class="QLabel" name="labelFractionalAccuracy">
-            <property name="text">
-             <string>Fractional accuracy:</string>
+          <item>
+           <widget class="QGroupBox" name="groupRandomSettings" >
+            <property name="title" >
+             <string>Случайные значения:</string>
             </property>
-            <property name="buddy">
-             <cstring>spinFractionalAccuracy</cstring>
-            </property>
-           </widget>
-          </item>
-          <item row="0" column="1">
-           <widget class="QSpinBox" name="spinFractionalAccuracy">
-            <property name="cursor">
-             <cursorShape>PointingHandCursor</cursorShape>
-            </property>
-            <property name="statusTip">
-             <string>Accuracy of the fractional values (in decimal places)</string>
-            </property>
-            <property name="maximum">
-             <number>6</number>
-            </property>
-           </widget>
-          </item>
-         </layout>
-        </item>
-        <item>
-         <widget class="QCheckBox" name="cbSymmetricMode">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>In this mode the cost of travel from city 1 to city 2 and vice versa is the same</string>
-          </property>
-          <property name="text">
-           <string>Symmetric mode</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QGroupBox" name="gbTaskGeneration">
-          <property name="title">
-           <string>Task generation</string>
-          </property>
-          <layout class="QVBoxLayout" name="_7">
-           <item>
-            <layout class="QFormLayout" name="_8">
-             <property name="fieldGrowthPolicy">
-              <enum>QFormLayout::ExpandingFieldsGrow</enum>
-             </property>
-             <item row="0" column="0">
-              <widget class="QLabel" name="labelRandMin">
-               <property name="text">
-                <string>Minimal random:</string>
-               </property>
-               <property name="buddy">
-                <cstring>spinRandMin</cstring>
-               </property>
-              </widget>
+            <layout class="QVBoxLayout" >
+             <item>
+              <layout class="QHBoxLayout" >
+               <item>
+                <widget class="QLabel" name="labelRandMin" >
+                 <property name="sizePolicy" >
+                  <sizepolicy vsizetype="Preferred" hsizetype="Expanding" >
+                   <horstretch>0</horstretch>
+                   <verstretch>0</verstretch>
+                  </sizepolicy>
+                 </property>
+                 <property name="text" >
+                  <string>Ми&amp;нимум:</string>
+                 </property>
+                 <property name="buddy" >
+                  <cstring>spinRandMin</cstring>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QSpinBox" name="spinRandMin" >
+                 <property name="cursor" >
+                  <cursorShape>PointingHandCursor</cursorShape>
+                 </property>
+                 <property name="maximum" >
+                  <number>1000</number>
+                 </property>
+                 <property name="value" >
+                  <number>1</number>
+                 </property>
+                </widget>
+               </item>
+              </layout>
              </item>
-             <item row="0" column="1">
-              <widget class="QSpinBox" name="spinRandMin">
-               <property name="cursor">
-                <cursorShape>PointingHandCursor</cursorShape>
-               </property>
-               <property name="statusTip">
-                <string>Minimum for random number generation</string>
-               </property>
-              </widget>
-             </item>
-             <item row="1" column="0">
-              <widget class="QLabel" name="labelRandMax">
-               <property name="text">
-                <string>Maximal random:</string>
-               </property>
-               <property name="buddy">
-                <cstring>spinRandMax</cstring>
-               </property>
-              </widget>
-             </item>
-             <item row="1" column="1">
-              <widget class="QSpinBox" name="spinRandMax">
-               <property name="cursor">
-                <cursorShape>PointingHandCursor</cursorShape>
-               </property>
-               <property name="statusTip">
-                <string>Maximum for random number generation</string>
-               </property>
-              </widget>
+             <item>
+              <layout class="QHBoxLayout" >
+               <item>
+                <widget class="QLabel" name="labelRandMax" >
+                 <property name="sizePolicy" >
+                  <sizepolicy vsizetype="Preferred" hsizetype="Expanding" >
+                   <horstretch>0</horstretch>
+                   <verstretch>0</verstretch>
+                  </sizepolicy>
+                 </property>
+                 <property name="text" >
+                  <string>&amp;Максимум:</string>
+                 </property>
+                 <property name="buddy" >
+                  <cstring>spinRandMax</cstring>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QSpinBox" name="spinRandMax" >
+                 <property name="cursor" >
+                  <cursorShape>PointingHandCursor</cursorShape>
+                 </property>
+                 <property name="minimum" >
+                  <number>1</number>
+                 </property>
+                 <property name="maximum" >
+                  <number>1000</number>
+                 </property>
+                 <property name="value" >
+                  <number>10</number>
+                 </property>
+                </widget>
+               </item>
+              </layout>
              </item>
             </layout>
-           </item>
-           <item>
-            <widget class="QCheckBox" name="cbFractionalRandom">
-             <property name="cursor">
-              <cursorShape>PointingHandCursor</cursorShape>
-             </property>
-             <property name="statusTip">
-              <string>Generate fractional random values with the Fractional accuracy</string>
-             </property>
-             <property name="text">
-              <string>Fractional random values</string>
-             </property>
-            </widget>
-           </item>
-          </layout>
-         </widget>
-        </item>
-        <item>
-         <spacer name="spacer_2">
-          <property name="orientation">
-           <enum>Qt::Vertical</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>10</width>
-            <height>0</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-       </layout>
-      </widget>
-      <widget class="QWidget" name="tabOutput">
-       <attribute name="title">
-        <string>Output</string>
-       </attribute>
-       <attribute name="toolTip">
-        <string>Solution output settings</string>
-       </attribute>
-       <layout class="QVBoxLayout" name="_6">
-        <item>
-         <widget class="QCheckBox" name="cbGenerateGraph">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Generate graphical representation of the solution</string>
-          </property>
-          <property name="text">
-           <string>Generate solution graph</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <layout class="QHBoxLayout" name="_10">
-          <property name="spacing">
-           <number>5</number>
-          </property>
-          <item>
-           <spacer name="spacer_7">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeType">
-             <enum>QSizePolicy::Fixed</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>10</width>
-              <height>0</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-          <item>
-           <widget class="QLabel" name="labelGraphImageFormat">
-            <property name="text">
-             <string>Save solution graph as</string>
-            </property>
-            <property name="buddy">
-             <cstring>comboGraphImageFormat</cstring>
-            </property>
            </widget>
           </item>
           <item>
-           <widget class="QComboBox" name="comboGraphImageFormat">
-            <property name="cursor">
-             <cursorShape>PointingHandCursor</cursorShape>
+           <widget class="QGroupBox" name="groupPrintSetup" >
+            <property name="title" >
+             <string>Настройки печати:</string>
             </property>
-            <property name="statusTip">
-             <string>What image format to use for graph when saving solution as HTML</string>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <spacer name="horizontalSpacer">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>0</width>
-              <height>0</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-         </layout>
-        </item>
-        <item>
-         <layout class="QHBoxLayout" name="_14">
-          <item>
-           <spacer name="spacer_8">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeType">
-             <enum>QSizePolicy::Fixed</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>10</width>
-              <height>0</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-          <item>
-           <widget class="QCheckBox" name="cbEmbedGraphIntoHTML">
-            <property name="cursor">
-             <cursorShape>PointingHandCursor</cursorShape>
-            </property>
-            <property name="statusTip">
-             <string>Save solution graph inside HTML using data URI scheme (not supported by IE 7 and lower)</string>
-            </property>
-            <property name="text">
-             <string>Embed solution graph into HTML</string>
-            </property>
-           </widget>
-          </item>
-         </layout>
-        </item>
-        <item>
-         <widget class="QCheckBox" name="cbShowMatrix">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Show solution steps' matrices for every solution step</string>
-          </property>
-          <property name="text">
-           <string>Show solution steps' matrices</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <layout class="QHBoxLayout" name="_12">
-          <property name="spacing">
-           <number>0</number>
-          </property>
-          <item>
-           <spacer name="spacer_3">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeType">
-             <enum>QSizePolicy::Fixed</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>10</width>
-              <height>0</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-          <item>
-           <widget class="QCheckBox" name="cbCitiesLimit">
-            <property name="cursor">
-             <cursorShape>PointingHandCursor</cursorShape>
-            </property>
-            <property name="statusTip">
-             <string>Show or hide solution steps' matrices based on number of cities in the task</string>
-            </property>
-            <property name="text">
-             <string>Only when &lt;=</string>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <widget class="QSpinBox" name="spinCitiesLimit">
-            <property name="cursor">
-             <cursorShape>PointingHandCursor</cursorShape>
-            </property>
-            <property name="statusTip">
-             <string>Maximum number of cities to show solution steps' matrices</string>
-            </property>
-            <property name="suffix">
-             <string comment="Don't forget a space at the beginning!"> cities</string>
-            </property>
-            <property name="minimum">
-             <number>1</number>
-            </property>
-           </widget>
-          </item>
-          <item>
-           <spacer name="spacer_4">
-            <property name="orientation">
-             <enum>Qt::Horizontal</enum>
-            </property>
-            <property name="sizeHint" stdset="0">
-             <size>
-              <width>0</width>
-              <height>0</height>
-             </size>
-            </property>
-           </spacer>
-          </item>
-         </layout>
-        </item>
-        <item>
-         <widget class="QCheckBox" name="cbScrollToEnd">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Scroll to the end of solution output after solving</string>
-          </property>
-          <property name="text">
-           <string>Scroll to solution end</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <layout class="QHBoxLayout" name="_11">
-          <item>
-           <widget class="QGroupBox" name="groupOutput">
-            <property name="title">
-             <string>Output font settings</string>
-            </property>
-            <layout class="QHBoxLayout" name="_13">
+            <layout class="QVBoxLayout" >
              <item>
-              <widget class="QPushButton" name="buttonFont">
-               <property name="cursor">
+              <layout class="QHBoxLayout" >
+               <item>
+                <widget class="QLabel" name="labelLeftMargin" >
+                 <property name="text" >
+                  <string>&amp;Левый отступ:</string>
+                 </property>
+                 <property name="buddy" >
+                  <cstring>spinLeftMargin</cstring>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QSpinBox" name="spinLeftMargin" >
+                 <property name="cursor" >
+                  <cursorShape>PointingHandCursor</cursorShape>
+                 </property>
+                 <property name="maximum" >
+                  <number>999</number>
+                 </property>
+                 <property name="singleStep" >
+                  <number>10</number>
+                 </property>
+                 <property name="value" >
+                  <number>100</number>
+                 </property>
+                </widget>
+               </item>
+              </layout>
+             </item>
+             <item>
+              <widget class="QPushButton" name="buttonFont" >
+               <property name="cursor" >
                 <cursorShape>PointingHandCursor</cursorShape>
                </property>
-               <property name="statusTip">
-                <string>Font face for solution output</string>
+               <property name="text" >
+                <string>&amp;Шрифт...</string>
                </property>
-               <property name="text">
-                <string>&amp;Font...</string>
+               <property name="icon" >
+                <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Font.png</iconset>
                </property>
               </widget>
-             </item>
-             <item>
-              <widget class="QPushButton" name="buttonColor">
-               <property name="cursor">
-                <cursorShape>PointingHandCursor</cursorShape>
-               </property>
-               <property name="statusTip">
-                <string>Font color for solution output</string>
-               </property>
-               <property name="text">
-                <string>&amp;Color...</string>
-               </property>
-              </widget>
-             </item>
-             <item>
-              <spacer name="spacer_5">
-               <property name="orientation">
-                <enum>Qt::Horizontal</enum>
-               </property>
-               <property name="sizeHint" stdset="0">
-                <size>
-                 <width>0</width>
-                 <height>0</height>
-                </size>
-               </property>
-              </spacer>
              </item>
             </layout>
